Extending Qt Creator Manual | PortsGatherer

Extending Qt Creator Manual 4.5.2

# PortsGatherer Class

(ProjectExplorer::PortsGatherer)

Inherits: | ProjectExplorer::RunWorker

- List of all members, including inherited members

## Public Functions

| PortsGatherer(RunControl *runControl)
| ~PortsGatherer() override
Utils::Port | findPort()

- 23 public functions inherited from ProjectExplorer::RunWorker

## Protected Functions

void | start() override
void | stop() override

### Additional Inherited Members

- 2 signals inherited from ProjectExplorer::RunWorker
- 1 static public member inherited from ProjectExplorer::RunWorker

## Member Function Documentation

### PortsGatherer::PortsGatherer(RunControl *runControl)

Default constructs an instance of PortsGatherer.

### PortsGatherer::~PortsGatherer()

Destroys the instance of PortsGatherer.

### Utils::Port PortsGatherer::findPort()

### `[protected]` void PortsGatherer::start()

### `[protected]` void PortsGatherer::stop()